See http://www.aseprite.org/release-notes/ for HTML version.

Aseprite v1.1.6 Jul 6 2016

    Right-click can move layers/frames/cels in the timeline
    Added right-click with Ctrl+click on OS X in some controls (timeline, tabs, text entries) (issue 438)
    Fixed bug ignoring Space bar on Sprite Editor when it's used immediately after clicking in the Timeline (issue 877)
    Ask for saving each file on exit
    Right-click subtracts a selection area when we use it inside the sprite editor selection (issue 1164)
    Added option to include partial tiles in Import Sprite Sheet (issue 1161)
    Configuration is saved in ~/Library/Application Support/Aseprite on OS X now (issue 1165)
    Added forward compatibility for .ase files with groups
    Added support to load Pixly (.anim) files (thanks to @zed9h)
    Expand filename wildcards in command line on Windows (issue 1049)
    Fixed issues with some convolution matrices after inserting text (issue)
    Fixed OS X keyboard modifiers when we switch apps using ⌘Tab (⌘ isn't kept pressed)
    Fixed other bugs (issue 1153, issue 1166, issue 1167, this issue)

Aseprite v1.1.5.8 Jun 7 2016

    Minor fix for Aseprite launched from the Steam client on OS X

Aseprite v1.1.5.7 Jun 7 2016

    Fixed status bar indicators when we transform the selection
    Now we can jump to other tag in playback mode clicking a frame of that tag
    Added option to zoom sliding two fingers up or down on OS X trackpad
    Don't show the system cursor when the window is created on OS X
    Don't activate the app on OS X when it's executed from the command line (useful to run bash scripts)

Aseprite v1.1.5.6 May 19 2016

    Added Edit > Copy Merged (Ctrl+Shift+C or ⌥⇧⌘C) menu option (issue 824).
    Changed File > Save Copy As default keyboard shortcut to Ctrl+Shift+Alt+S (⌥⇧⌘S).
    Added support to drag & drop files on OS X from Finder to Aseprite (issue 605)
    Fixed selection feedback when foreground/background color is transparent (issue 1133)
    Fixed display bug on OS X when the program is executed for first time
    Fixed arrow keys to move a rotated selection (issue 775)

Aseprite v1.1.5.4 May 11 2016

    Fixed Spray and Jumble tools (issue 1130)
    Fixed "Auto Select Layer" random behavior when Move tool is used for first time
    Fixed some minor memory leaks

Aseprite v1.1.5.3 May 10 2016

    Fixed regression pasting the print-screen content on Windows running on 32bpp resolutions (issue 1122)
    Fixed memory usage editing huge sprites (issue 1128)
    Fixed crash using copy & paste of frames in the same sprite
    Fixed crash creating a new brush with right-click on an empty cel
    Fixed onion skin with red/blue tint for black/white colors (issue 1125)

Aseprite v1.1.5.2 May 6 2016

    Fixed bug undoing a pixel region in special cases (issue 1109)
    Fixed selection flipping on cels that are small than sprite bounds (issue 1119)
    Fixed arrow keys to move selection (issue 1120)

Aseprite v1.1.5.1 May 4 2016

    Fixed crash pressing Del key without a selection to completelly remove a cel content (regression introduced in issue 1111)

Aseprite v1.1.5 May 4 2016

    New option for paint bucket to use all layers as reference (issue 969)
    Added copy & paste support of images on OS X (issue 925)
    Added Wacom eraser support on Windows and OS X (issue 610)
    Improved status bar (issue 752, issue 915, issue 1013, issue 1075)
    Don't destroy custom brush when we use X key to switch colors (issue 1004)
    Improve selection rectangle/shape feedback with a negative black/white color, so it's always visible
    Fixed blurry graphics when Windows DPI scaling is greater than 100% (issue 1041)
    Fixed bug copying frames between sprites: now frame duration is preserved (issue 1023)
    Fixed regression bug with default folder for new files (issue 1068)
    Use correct/configured Eraser brush size when Eraser is activated with right-click or as a quicktool (bug report on Steam)
    Fixed brush size when we click on brush icon (issue 978, thanks to @TheKK)
    Fixed crash pressing º key on keyboard configuration (issue 1065)
    Fixed crash when we press Del or Backspace keys while we are moving a cel (issue 1078)
    Fixed several other issues (issue 559, issue 708, issue 793, issue 1103, issue 1104, issue 1105, issue 1111)

Aseprite v1.1.4.1 April 13 2016

    Fixed crash resizing an image with RotSprite (issue 1056)
    Fixed double-click on OS X (issue 1057)
    Fixed crash launching the app on OS X (issue 1059)

Aseprite v1.1.4 April 12 2016

    New backend on Windows and OS X. Improved trackpad support on OS X. This is the first step to improve the UX with wacom tablets, pressure, multiple-windows, etc. (issue 139)
    Now we can scale from center/pivot (issue 576) and flipping (issue 579)
    You can select a tile by double clicking over it (issue 939)
    Add View > Extras menu to hide the selection edges (issue 861)
    Mouse wheel rotate hue value when used above color selectors (issue 1012)
    New keyboard customization for tool modifiers (issue 1028)
    Fixed regression using --batch and --save-as with .png and other formats (issue 1018)
    Fixed several issues (issue 905, issue 914)

Aseprite v1.1.3 February 29 2016

    Added new color picker to quickly select different tints, shades, and tones of the current color
    Now clicking foreground/background color will change the colors in a custom brush created with Edit > New Brush
    Fixed crash creating a custom brush without "Type" parameter and restarting the application
    Fixed bug resetting Screen Scaling value
    Fixed several bugs with grayscale images
    Fixed a crash using Windows clipboard in special cases
    Fixed Wacom tablet lag on Windows platform
    Added more zoom levels

Aseprite v1.1.2 February 22 2016

    Added new brush popup dialog and shortcuts to change different drawing parameters (issue 904)
    Added Select > Modify > Border/Expand/Contract commands
    Added anti-aliasing checkbox to Edit > Insert Text option
    Added RYB color wheel (issue 707)
    Added the ability to insert user data and color (issue 733) to layers and cels
    Improve shading ink (issue 85, issue 854)
        Now we can drag-and-drop shade colors
        Reverse shading colors with X key
        Shades can be saved between sessions
    Keyboard shortcuts:
        Added command to change the ink type with a shortcut (issue 787)
        Added command to switch pixel-perfect checkbox (issue 858)
        Search field in Keyboard Shortcuts dialog (issue 849)
        Sort command names with numbers correctly (issue 782)
        Added Shift+C to center the scroll (thanks to @tony)
    Sprite Sheets:
        Import/Export Sprite Sheets by rows and columns (issue 872)
        Export Sprite Sheet can be used without saving the sprite sheet image (issue 865)
        Added options to export layers and frame tags information from File > Export Sprite Sheet
    Added "Play Once" option to "Play" button popups
    Now , and . keys now move inside loop section/tags (issue 556 and issue 879, thanks to @TheKK)
    Fixed a couple of bugs with symmetry axis (issue 851, issue 873 thans to @TheKK)
    Added a special variable {tagframe} for --filename-format to specify frame names relative to the current tag (issue 894)
    Beta branch on Steam:
        Open double-clicked files from Windows Explorer in the same application (issue 477)
        New back-end in progress (issue 139)

Aseprite v1.1.1 November 6 2015

    Added partial support to draw text (issue 28)
    Added symmetry mode (issue 208)
    Added scroll bars to Timeline (issue 732)
    Added an "Undo History" window (issue 739)
    Shift+click draw a straight line from the last point (issue 562)
    Added support to load/save static .webp files (issue 273, thanks to @sirblackheart)
    Added --list-tags and --list-layers options
    Fixed crash using --scale command line option
    Fixed --border-padding option (issue 815)
    Fixed some crashes using Shading Ink in some special situations
    Fixed some issues loading/saving .gif files (issue 800)
    Fixed Eraser, Blur, and Jumble tools to support opacity parameter correctly.
    Improved performance in Timeline for huge animations (e.g. more than 10000 frames)
    Don't convert transparent layers to a opaque Background after Flatten (issue 806, thanks to @Fojar)
    Fixed Spray tool problems (issue 838, thanks to @Fojar)
    Fixed other minor bugs (issue 794, issue 816, issue 823).

Aseprite v1.1.0.1 August 27 2015

    Added a simple pixel shading ink (issue 85)
        See the documentation to know how to use it.
    Improved general program performance
    Fixed tooltips visibility (issue 770)
    Fixed browsing through folders symlinks on Linux (issue 524)
    Fixed Ctrl+ and Ctrl- keyboard shortcuts to zoom in/out
    Fixed possible random crashes on Windows restoring DirectX surfaces (long-standing bug from initial Aseprite versions)
    Fixed issue 278, issue 654, issue 771, issue 778, issue 777, issue 784, issue 785

Aseprite v1.1 August 21 2015

    Added alpha channel in color selection (issue 286)
        You can specify an alpha value on each palette entry.
        Palettes created from RGB sprites, can be generate entries with alpha channel.
        8-bit PNG files can be saved with alpha channel per palette entry.
    New color wheel (issue 707)
    New layer blending modes and opacity (issue 318, issue 225)
    New UI for inks (new "Simple Ink" to avoid extra Opacity parameter now that we've alpha component in color selection).
    New eyedropper modes.
    Export frame tags or specific layers (issue 607)
    Support for palettes with less or more than 256 colors (issue 668, issue 754)
        You can reduce colors creating smaller palettes.
    New option to shift pixels and wrap around the content (issue 681)
    Configurable 'Stop' button behavior (issue 705)
    Added new configuration for rotation pivot (issue 370)
    More onion skin options (issue 526)
    Zoom indicator in status bar (issue 646)
    Space bar can move the selection being created or the line/rectangle/ellipse being drawn (issue 741)
    Added an option to ignore the grid in paint bucket tool (issue 564)
    Added a "Snap to Grid" indicator (issue 122)
    Show onion skin depending on the configured loop section (issue 555)
    Improved performance and memory usage of RotSprite algorithm (issue 691)
    Removed tools configuration dialog (C key): Now all options are available in View menu (you can open it with Alt+V).
    Fixed issue 546, issue 275, issue 161, issue 529, and a lot more.

Aseprite v1.1-beta5 June 5 2015

    Fixed random crashes using Eyedropper with Alt+click
    Fixed default foreground/background color when the program is executed for the first time

Aseprite v1.1-beta4 June 4 2015

    Fixed a critical crash executing any kind of command after you close a played animation (issue 682)
    Fixed regression bug: now you can move several frames at the same time again (issue 669)
    New option to resize the result of File > Save Copy As command (issue 685)
    New support for JASC-PAL palette files (.pal extension) (issue 349)
    Some changes in the Aseprite file selector (issue 643)
    Native open/save file dialog. Available from Edit > Preferences > Experimental > Use native file dialog (issue 321)
    Lock X/Y axis in Move tool when Shift key is pressed (issue 602)
    Fixed several memory leaks and other bugs (issue 647, issue 671, issue 675, issue 676, issue 679)

Aseprite v1.1-beta3 May 11 2015

    New color bar:
        Copy colors with drag-and-drop and Ctrl (or Alt)
        Cut, copy, paste, and clear colors (using Edit > Cut menu, Edit > Copy, etc.)
        Sort colors by Hue/Saturation/Brightness/Luminance
        Reverse colors
        Quick access to create gradients between two colors
        New way to change color components in a relative way. E.g. add +20 units to Hue and -10 units to Saturation in selected colors.
    Create brushes with Edit > New Brush and selecting a box. (If there is an active selected area, the brush is created from that selection.) (issue 154)
    New popup menu to change animation speed (issue 595)
    Drag-and-drop tabs with Ctrl (or Alt) to duplicate them (issue 634)
    Now Edit > Preferences > Screen Scaling option can be changed without a restart, and it modifies the UI elements size (to keep the old behavior a new option was added in Edit > Preferences > Experimental > UI Elements Scaling)
    Continue playing animation when we scroll.
    Improved the Data Recovery function in some extreme cases (e.g. a crash when the same recovery information is being saved).
    You can identify tags in --filename-format with {tag}, {innertag}, and {outertag}.
    Several bug fixes.

Aseprite v1.1-beta2 April 15 2015

    Fixed several crashes when moving selection or using tools
    Fixed crash converting sprite to Grayscale
    Fixed crash using RotSprite with huge images

Aseprite v1.1-beta1 April 10 2015

    Data recovery in case of crash (issue 151)
    Support to re-use the same cel in several frames (issue 99, issue 269, issue 389)
    Possibility to tag frames/multiple animations in one sprite (issue 153, issue 416, issue 500, issue 557)
    Zoom out to edit large images (issue 287, issue 33)
        Grid improvements: add transparency to pixel grid and tile grid (issue 58)
    Possibility to drag and drop colors (issue 37)
        Some work to remap/match colors when we change their positions (issue 563)
        Ctrl+mouse wheel to resize color entries
    Independent zoom in Preview window (issue 407)
    New Edit > Transform option (Ctrl+T or ⌘T) to select/transform the whole cel content (issue 560)
    New Frame > Copy Cel to Next Frame option (Alt+M) to copy the current cel in the next frame only for the active layer
    Possibility to drag & drop tabs, and dock tabs (issue 118)
    New home tab (issue 380)
    Support for non-linear undo history (enable it from Edit > Preferences > Undo)
    New command line options:
        --crop option (issue 620)
        --border-padding, --shape-padding, and --inner-padding options (issue 78)

Aseprite v1.0.9 February 2 2015

    Mac OS X:
        Infinite editor scroll is now available on Mac OS X too
        Fix mouse movement problems
    New command line options:
        --filename-format (issue 519): to specify special filenames used in export operations (--save-as,--sheet, --split-layers, etc.)
        --trim: trim frames before exporting sprite sheet or texture atlas
    Issue 587: Shift+X switches layer visibility
    Issue 585: Add option to disable animation loop when saving GIF files
    Fixed regression bug: now you can move the color popup window again
    Fixed bug flipping a rectangular region in a displaced cel
    Fixed some reported crashes

Aseprite v1.0.8.1 December 5 2014

    Fixed regression on Windows: --help and --version command line options don't show text in the console

Aseprite v1.0.8 December 4 2014

    Fixed issue 543: Crash when adding keyboard shortcuts to menu options that doesn't have any
    Fixed issue 548: Don't move or select hidden layers with Move tool
    Fixed issue 57 and issue 336: Now paste should correctly paste in place
    Fixed problem running command line on Mac OS X when Aseprite is already running
    New command line option --ignore-empty to avoid exporting empty frames/cels (issue 549)

Aseprite v1.0.7.1 November 25 2014

    Fixed Mac OS X problem using Command key (⌘) as a modifier

Aseprite v1.0.7 November 24 2014

    Added "Auto Select Layer" to Move tool (issue 527)
    Fixed issue 521: Default shortcuts for Action Modifiers cannot be removed
    Fixed issue 522: Panning with space bar makes the selected pixels transparent
    Fixed issue 542: Crash with multiple monitors and multiple processes using DirectX
    Fixed crash with eyedropper above transformation handles when the selection is active
    Changed Alt selection modifier to Shift+Alt to substract selections: this is to avoid conflict with eyedropper tool (Alt key) which is quite common to be used when the selection is active (e.g. to change the background color before we move the selection).

Aseprite v1.0.6 November 12 2014

    Added Edit > Keyboard Shortcuts menu to customize keyboard shortcuts (issue 253)
    Added option to reverse frame order (issue 503)
    Added F2 keyboard shortcut to set the loop section (issue 491)
    Added Alt+Shift+G keyboard shortcut to toggle pixel grid (issue 505)
    Added more options to the command line interface: --save-as, --scale, --split-layers, --import-layer (issue 456)
    Added experimental option to flash the layer when it's selected with up/down keys (issue 111)
    Fixed crash when another monitor is plugged on Windows (issue 392)
    Fixed issues with lock/unlock sessions on Windows (issue 436)
    Fixed mouse cursor problems on Mac OS X (issue 458 and issue 466)
    Fixed issue moving cels between layers.
    Fixed several bugs: issue 413, issue 419, issue 435, issue 472
    Minor UI fixes/enhancements:
        Issue 501: Disable menu items popup on mouse over
        Issue 505: Brush leaves artifact pixels everywhere
        Issue 508: Add color hex value in the status bar

Aseprite v1.0.5 September 17 2014

    Fixed issue 480: Rule positions in File > Import Sprite Sheet and Sprite > Canvas Size commands are not drawn correctly (critical regression bug)
    Fixed issue 474: Select grid boundaries when snap-to-grid mode is enabled in Rectangular Marquee tool
    Added more options to Sprite > Canvas Size command
    Added per-image grid settings (issue 67)
    If grid is visible paint bucket tool stops at grid tile boundaries (issue 473)
    Expand number of frames automatically when we drag and drop cels at the end of timeline (issue 452)
    Infinite scroll is back (and fixed) for Windows platform.

Aseprite v1.0.4 September 4 2014

    Fixed crash when copy & paste a cel at the same position in the timeline (issue 470)
    Avoid crash in replace color and other filters (issue 478)
    Added right-click popup menu to text fields to cut/copy/paste selection
    Added Google's UI palette (pull 465)
    Other minor UI fixes

Aseprite v1.0.3 August 22 2014

    New installer for Windows available (paid version only) to associate .ase/.aseprite files
    Improved Mac OS X version and dmg distribution:
        Add support to open files from Finder with double-click
        Issue 75: Hide Mac OS X cursor
        Issue 135: Support Command (⌘) key
        Minor fixes and considerations

    Now you can copy (Ctrl+C or ⌘C) and paste (Ctrl+V or ⌘V) layers, frames, and cels between different sprites

    Added contiguous checkbox to use paint bucket in non-contiguous fill mode

    Added more options to export RGB images to .gif files correctly

    Added "New Folder" button in the file selection dialog (issue 233)

    Added new mode to pick colors with right-click (issue 188)
    Added shift/alt modifiers to add/substract selection ranges (issue 217)
    You can move the selection content with Arrow keys or boundaries with Alt+Arrow keys (issue 376)
    Fixed issue 433: Drag and drop issues of frames/layers in Timeline: Now you can drop layers at the bottom and frames at the end.
    Added an option to disable the default Zoom with Scroll Wheel behavior. This can be unchecked to use the "pinch gesture" in a touchpad to zoom-in/out and you can scroll vertically with two fingers.
    More options to export sprite sheets as a matrix
    More fixes: issue 158, issue 408, issue 427, issue 430, issue 431, issue 443, and more

Aseprite v1.0.2 June 15 2014

    Fixed issue 410: unexpected drawing behaviour on empty layer with Transparent Color index set to non-zero
    Fixed issue 409: infinite loop upon creating new sprite with a loop section set.
    Fixed issue 406: persist selection tool mode (replace/union/substract) in configuration file.
    Fixed crash when Esc key is pressed in drag & drop of frames in Timeline (reported here).
    Windows: Change default location for configuration file (%AppData%/Aseprite/aseprite.ini). Now the program support two modalities: installed or portable.
    Fixed selection movement & RotSprite for RGB and Grayscale images when the transparent color isn't the mask color.

Aseprite v1.0.1 June 9 2014

    Fixed issue 405: crash after merge down when source layer is empty.
    Fixed problem with merge down with frames that weren't rendered on any editor.

Aseprite v1.0.0 June 6 2014

    New Timeline, it's a work in progress of issue 293 (it replaces the old Animation Editor):
        Configurable onionskin settings (issue 110).
        Select/delete/edit properties of multiple frames/layers (issue 182).
        Move/copy multiple layers/frames/cels simultaneously (issue 97).
        Loop section (issue 123 and issue 159)
        Ping-pong (issue 216) and reverse playback.
        Overlay/Tint Onion Skin (issue 167).
    New context bar with useful options for the current drawing tool (issue 132).
    Added (optional) scroll-bars to sprite editor (issue 260).
    Added option for Eye Dropper to grab alpha value (issue 134).
    Export to JSON format from command line (issue 17). (A next version should contain the export feature from the UI.)
    Live animation preview in mini editor (issue 105).
    Add RotSprite algorithm as a possibility to scale/rotate the selection (issue 121).
    Added pixel-perfect drawing algorithm for pencil tool (issue 315)
    Fixed issue 46 and issue 150: Unicode support on Windows for file names.
    Fixed issue 46 and issue 294: Added Cyrillic script (Russian) and missing German Unicode characters.
    Issue issue 133: wacom tablet behavior.
    Fixed issue 185: Fix crash when editing the color palette.
    Fixed issue 212: Remove frame doesn't displace frame durations.
    Fixed issue 239: Some performance improvements.
    Fixed issue 277: Now you can change the default palette.
    Fixed issue 347: Eyedropper tool changes in gui.xml not working.
    Fixed issue 279, issue 280, issue 284, issue 285, issue 343, and more.

ASEPRITE 0.9.5
    * Fixed issue #163, issue #164, and issue #165. 
ASEPRITE 0.9.4
    * Added support to resize the color-bar.
    * Fixed regression bug introduced in 0.9.2: menu navigation using keyboard stopped working.
    * Fixed issue #143: Crash in "File > Open/Save" when aseprite.ini contains an invalid path.
    * Fixed issue #160: Crash Undo-ing Layer Delete.
ASEPRITE 0.9.3
    * Now Shift key locks the X/Y axis when you drag & drop the selection.
    * Add support to load GIMP palettes (issue #112).
    * Fix bug with Export Sprite Sheet when the cel is bigger than the sprite's size.
    * Fix regression bug: Enter/Tab/Escape keys don't work in list-boxes.
    * Fix bug showing "modified" status in the document tab.
    * Fix issue #130: crash redoing a "convert to grayscale mode" command.
    * Fix issue #44: problems browsing files when the option "hide extensions for known file types" is activated in Windows Explorer.
    * Fix issue #129: Return to frame/layer where action is undone (configurable option).
ASEPRITE 0.9.2
    * Added scroll-by tile size feature (issue #90): you can press Ctrl+Arrow keys to scroll by tile size.
    * Fix problem losing hue value in palette editor (issue #100).
    * Fix problems loading .ase files (issue #102).
    * Fix problems with Trim (issue #106).
ASEPRITE 0.9.1
    * Now you can transform (move/scale/rotate) the selection directly (video).
    * Integrated copy & paste logic with selection.
    * Text field in the status bar to go to frame (issue #6).
    * Button in status bar to create new frames.
    * Fixed regression bug: now you can clone the selection using Ctrl+drag
      & drop as in 0.8.2.
    * Fixed issue #52: Text entries do not work in Import Sprite Sheet.
    * WARNING: The "N" keyboard shortcut was changed to
      "Alt+N" to avoid creation of frames by mistake.
    * Closed issues #48, #50.
    * Ctrl+Tab and Ctrl+Shift+Tab to navigate between tabs.
    * Avoid 100% CPU usage (issue #47).
ASEPRITE 0.9
    * Added Import/Export Sprite Sheet (#4).
    * Added support to resize the window in X11, Mac OS X, and Windows
      platforms.
    * Improved "Canvas Size" command (video).
    * New color selectors with improved RGB and HSB sliders (video).
    * Changes in keyboard shortcuts (some of these changes were made to avoid
      tool-switching confusion):
          o Elliptical Marquee: Shift+M (it was "M")
          o Polygonal Lasso: Shift+Q (it was "Q")
          o Ellipse: Shift+U (it was "U")
          o Polygon: Shift+D (it was "D")
          o Curve: Shift+L (it was "Y")
          o Spray: Shift+B (it was "S")
    * Added automatic check for updates (#13).
    * Bugs fixed:
          o #14 - Don't ask for saving changes when read-only commands are
            used.
          o #3050538 - File dialog does not show files (sometimes).
ASEPRITE 0.8.2
    * Fixed a critical bug: split an editor, close it, and change tool (crash).
    * Fixed Paste command when we use it in an empty frame.
    * Fixed bug_#3051174 (reported by Trent Gamblin): Loading two or more times
      gui.xml file.
ASE 0.8.1 beta
    * Improved "Tools Configuration" dialog to show only necessary
      options for the current tool.
    * Added "Tolerance" parameter to Magic Wand and Paint Bucket
      (Trent Gamblin idea).
    * Fixed critical problem rendering indexed images with a non-black color in
      palette entry 0.
ASE 0.8.0 beta
    * USER INTERFACE CHANGES
          o Now you zoom using the mouse wheel without pressing Alt key.
          o Now tools are grouped.
          o Color-bar is completely redesigned (see Quick Reference).
          o Improved selection tools: Now you can move selected pixels dragging
            the selected area (like MS Paint). [work-in-progress]
          o New ASE skin created by Ilija Melentijevic.
          o "Tools" menu is gone:
                # "Tools > Configure" was moved to "Edit >
                  Tools".
                # "Tools > Options" was moved to "Edit >
                  Options".
                # "Tools > FX" was moved to "Edit > FX".
                # All other options are in "View" (Animation Editor,
                  Palette Editor).
    * New tools: Lasso, Polygonal Lasso, Magic Wand, Eyedropper (as an
      independet tool, Alt+click is available too), Hand, Move, (Filled)
      Countour, and (Filled) Polygon.
    * Now the editor cursor displays pen preview (Ilija Melentijevic idea, like
      Animator Pro).
    * Added compression to .ase/.aseprite format.
    * Added support to zoom when you are drawing (e.g. you can use the mouse
      wheel when you are drawing a polygon or a long line).
ASE 0.7.2
    * Fixed bug_#2847210: "Save" button when close a modified file
      was not working.
ASE 0.7.1
    * Added support to paste/copy text from/to Windows clipboard.
    * Added support to process Ctrl+C / Ctrl+V / Ctrl+P keys in all entry
      fields.
    * Fixed a bug where file names for new sprites are lower-case always (in
      Windows).
    * Fixed a program crash when try to open a file in the middle of a
      thumbnail generation process.
ASE 0.7
    * Added "Sprite Size" command (feature_#2671468).
    * Added "Save Copy As" command (feature_#2636076).
    * Copy & Paste use Windows clipboard (feature_#2577954).
    * Added "Canvas Size" and "Rotate Canvas" commands.
    * Fixed compilation support for gcc 64 bits.
    * Fixed a bug with multiple editors and paste command.
    * Fixed a bug in the File Open dialog when user presses ENTER key with an
      empty file name.
    * Fixed critical bugs in rendering code.
ASE 0.6.1
    * Added support to drag and drop files from Windows explorer (feature
      #2419098).
    * Fixed bug_#2511762 (.PNG' extension unavailable in Open and Save As
      dialogs, thanks to Clayton Enga for the patch).
ASE 0.6
    * Added 'Curve' tool (bezier-spline).
    * Added support to drag and drop colors in color-bar (feature_#2109224).
    * Added support to lock lines in special angles with the Shift key, useful
      to draw in isometric views (feature_#1961397).
    * Fixed bugs #1958760 and #1958932.
    * Fixed other serious bugs (Dead-pointers to palettes, Flatten Layers, File
      Selector, etc.).
ASE 0.6b2
    * Added the `Background' layer.
    * Added support to load and save PNG files (through 'libpng').
    * Transparent cel handling for the end-user (you can move a cel and
      don't worry about its bounds).
    * Rewritten the "Color Bar" and "Color Selector"
      dialog.
    * Rewritten the "Animation Editor" (ex-Film Editor).
    * New tools: Eraser, Blur, Jumble.
    * Replaced the "List" menu with the tabs selector.
    * Rewritten the "File Selector":
          o Preview support.
          o Incremental search.
          o History of navigation (Back/Forward).
          o In Windows: you can visit Desktop, My Documents and My Computer
            locations.
    * Optimized some operations like load/save files and "apply
      effect" (convolution matrices, color curves, median, etc.)
    * Restructured all the menus (more user friendly options).
    * Enhanced GUI:
          o more borders for windows and more spacing between controls.
          o better mouse behavior (now in Windows the mouse is captured).
          o added tooltips.
    * Added screen pixel-scaling support (with double-buffering). This means
      that you can use the program in a 320x240 resolution inside a window of
      640x480 (pixel-scaling x2).
    * Fixed other minor problems when you drawn in 'tiled mode' or
      'paste' the clipboard.
    * New XML format for the menus and keyboard shortcuts.
    * Removed a lot of "complex" functionality:
          o Removed mask-repositories (you can use .msk files instead).
          o Removed menu scripting customization: the scripting support is
            broken, next versions of ASE will contain a better set of routines
            to create scripts.
          o Removed screen saver.
          o Removed sessions.
          o Removed draw-text (it'll return in next versions like text-
            layers).
          o Removed layer-sets (the Animation-Editor can't handle them
            right at the moment).
          o Removed map-generation utility.
          o Removed linked-cels (were complex for the end-user).
ASE 0.5
    * Added features-requested by Carl Olsson:
          o better "snap to grid" support for box-like tools
            (rectangle, ellipse, etc.).
          o floating selection now "snap to grid" also.
          o added a subpixel movement for zoomed-cursors in the editor, to
            known where we are inside the pixel.
    * Better support for the mouse wheel and middle button in the sprite-editor
      (to scroll and zoom).
    * GIF support to save file fully supported by default.
    * Fixed compilation with Allegro 4.2.3 SVN (and fixed a bug in Allegro with
      key_shifts).
    * Now the full-screen or windowed state is remembered (thanks to Manuel De
      Miguel Moreno to report it).
ASE 0.4
    * Removed the console mode.
    * Changed Film Editor shortcut: TAB key.
    * New feature: Each animation frame has duration.
    * New Palette Editor (F4 key).
    * Now sprites support multiple palettes: Each frame can has its own color
      palette.
    * Added support to load GIF files (by Elias Pschernig).
    * Added a combobox to file-selection to handle the bookmarks.
    * Added rotation!!! Now you can scale and rotate what you paste from the
      clipboard.
ASE 0.3.1
    * Fixed the creation of session files when an exception (fatal error)
      happens in Windows.
    * Added es.po and tips.es files.
ASE 0.3
    * Added session manager (if the program crashes the session is saved
      automatically).
    * Added a tool to draw text (finally).
    * More documentation and tips.
    * Improved the frame adding process.
    * Fixed important bugs.
    * Added a mapgen utility (original code by Johan HalmÃ©n and Anders
      Andersson).
    * Spanish language support (now works in Windows too).
    * Internal code improved (mainly GUI parts, and functions names).
ASE 0.2.4
    * More stable undo: with limit and without the strange redo-after-
      overwrite-undo feature.
    * New median filter to despeckle images.
    * Updated alternative support to load/save JPEG files with JPGalleg 2.3
      library, thanks to Angelo Mottola for this.
    * Fixed problems with non-US keyboards: the Alt key can't be used for
      shortcuts. Some combinations changes:
          o <~> to <`> (open film editor)
          o <Ctrl+/> to <?> (mask by color)
          o <Ctrl+~> to <Ctrl+4> (close current editor)
    * Added Cut, Copy, Paste!
    * Added AutoCrop (before known as Trim).
ASE 0.2.3
    * Fixed routine to save JPG files.
    * Fixed and improved various parts of GUI.
ASE 0.2.2
    * Added some documentation to write Lua scripts.
    * Film Editor was improved.
    * Fixed errors with the graphics cursor, some keyboard problems, and
      various minor bugs.
    * New tips with text and images. This will be very useful for beginners.
    * Onionskin feature is done.
    * Added (optional) ordered dithering to render RGB images in 8 bpp.
    * New actions: Merge Down, New Frame, Copy Frame, change Image Type!, Load
      Script File.
    * Optimized the drawing speed with tiled mode.
ASE 0.2.1
    * Fixed in Windows version: spray and some errors saving file-names in the
      configuration file.
    * Added libintl support and the Spanish translation (only for Linux, but I
      have planned make this usable in Windows).
    * More undo support: insert/remove layers and mask modifications.
    * Filters Convolution Matrix and Color Curve are back.
    * Added more basic operations (with undo support): flatten layers,
      duplicate layer, duplicate sprite, horizontal/vertical flip, crop frame.
    * New .ASE format (in alpha status, please test it!).
    * Easy script routines: now are a high-level layer of routines (easy to use
      and understand), and the low-level routine's set (for internal or
      more specific works).
    * Removed all the interpolation stuff between key-frames: yes, after
      thinking, this make too hard the animation edition (so the "fancy
      spline interpolation" was removed).
    * Optimized the editor's speed in scroll movements.
    * The Film Editor is almost done for layers and frames handle.
    * Fixed filters using mask with displaced layers.
    * Support to apply filters to various frames/layers at the same time.
    * Added differents screen layouts in main.jid (see FAQ.txt to see how
      change between them).
    * The tool bar is back!
ASE 0.2
    * Fixed a lot of bugs.
    * Added optional support for JPEG with JPGalleg 2.0 library.
    * Added draw mode: Opaque (normal), Glass (transparent), Semi (pattern).
    * Added brush types: Circle, Square, Line.
    * Implemented a fake-palette system to make the GUI usable with any sprite
      palette (mainly to avoid "black-screen" situations when open
      sprites with ugly palettes).
    * The palette editor has more improvements (like the possibility to move
      the selection range).
    * "menus" file modified a bit. Some keyboard bindings have change
      (and new ones added), you can see the "docs/QuickHelp.html"
      file for more help. Anyway, I try to leave the compability in the more
      used commands.
    * Full scripting support with Lua-5.0. Sprites and GUI controllable from
      same scripts, to give you an idea, various of menus actions are
      programmed directly with scripts.
    * Complete selection handle (mask regions). You can select irregular areas
      (add, subtract, intersect, by color), save and load them in the .MSK
      Animator Pro format.
    * Multiple editors. Now you will be able to edit an image with zoom and see
      the results in other editors (updated in real-time).
    * New Gfx-core. All sprite/image/layer/prop/key stuff was reprogrammed. The
      more big change, was to property/keyframe level (the properties can be
      with lineal or spline interpolation, also, have a ending flag to make
      circular movements or patterns of movement).
    * New GUI. The look and the internal code was reestructured completelly, I
      made a new GUI library: Jinete (rider).
ASE 0.1.2
    * New RLE Gaussian Blur effect (from The GIMP source code).
    * Blender modes are back!: Normal, Multiply, Screen, Overlay, Hard Light,
      Darken, Lighten, Addition, Subtract, Difference, Hue, Saturation, Color,
      Luminosity.
    * Better the GUI look: With colors, this should be less boring :-)
    * Added a graphics selection dialog where you can specify any resolution
      (this could be useful for windowed modes).
    * Back again to the good-and-peaceful-allegro-like makefiles. Ok, ok, the
      GNU style was the worst change in ASE, but now is fixed :-)
    * Removed the .DLL or .so capability for plug-ins. After some weeks of
      thinking, I decide to strip off this feature because is too hard to do a
      good system to attach new plug-ins with the current menu implementation.
      The most user are just "user" and don't will copy the
      plug-in and modify the `menus' to add a new entry with a little
      script-string to call the new plug-in action. Also, this save me a lot of
      headaches :-)
    * Added multiple filter application: Now, you can apply effects to every
      layer, to every animation frame, or both.
    * Added the "Recent Files" list.
    * A complete set of scripts routines to handle paths.
    * New selection type: "shrink", to shrink the selection to the
      current layer bitmap bounds.
    * New "trim_sprite" action.
ASE 0.1.0
    * Removed the `move' tool to displace layers (it was redundant).
    * New interface to load Plug-Ins in a dynamic way (DLL, .so).
    * Complete new support for JPEG files (RGB/grayscale) load/save: athwart
      the Independent JPEG Group's JPEG Library.
    * New actions:
          o trim_layer_bitmap: trim the current layer to the selection bounds.
          o merge_down: to merge the current layer with the next one.
          o make_undo_animation: to make an animation from the undo operations
            (to see all the progression of the graphics).
          o undo_history: to undo/redo various operations.
          o color_curve: to make color conversion effects pixel by pixel.
    * Improved the Color Replace' command (withtolerance' and
      `preview').
    * A new optimized layer-bar, to handle all the keyframe/properties stuff.
    * Various things rewritten to Plug-Ins:
          o file formats,
          o actions for menus (also, now these actions can be used from
            scripts).
    * Replaced the old color depth' system to the newimage types':
      From now, an image can be: RGB, Grayscale, or Indexed type.
    * New ASE Library, with a complete new design to handle: images, layers,
      bitmaps, properties, keyframes, etc.
    * Source code to GNU style: with configure.in, Makefile.am, etc.
ASE 0.0.7
    * New scripts routines: request(), apply_filter(), load_sprite(), and
      save_sprite().
    * Support to load FLI/FLC and to save FLC files. Yes! Now with ASE you can
      make FLC animations with a good compression performance.
    * Added the posibility to load/save sequences of bitmaps: like ani00.pcx,
      ani01.pcx, ani02.pcx, etc.
    * More undo functionality. I re-wrote the entire `undo' system.
    * New rectangular-selection tool: Now you can cut, copy, paste and clear.
    * New RLE compression for 8 bpp in .ase files.
    * Support to load .ase files of 0.0.6' and0.0.7 CVS (important
      stage)': I recommend you upgrade all your .ase files to the `0.0.7
      release' version.
    * New properties for keyframes: now each keyframe has its position and
      alpha, with this you can make animations of objects moving only the
      keyframes (all the intermediate frames will be calculate automatically).
    * Now the program remember the configuration (through `ase.cfg').
    * Added a new draw-tiled mode.
    * New full-screen editing mode. With resizable layer-bar.
    * Added an options to draw the previous frame in transparent mode.
    * Removed the `background' properties of layers: from now, a layer
      will be transparent (masked-blitting) ever. With this are fixed a lot of
      problems with load/save routines in old versions.
    * New `reload_menus' command.
ASE 0.0.6
    * I still don't recommend you the .ase format (just for temporary
      usage): there are planes to change it.
    * Scripting capability athwart Lua language (http://www.lua.org/): now, you
      can make automatic tasks programming your own scripts (included some
      scripts as example).
    * Independent alpha' (global transparency) andblender-mode' for
      each layer (like in GIMP and Adobe Photoshop).
    * Improved the layer/frame-control: Now add/remove/move/copy layer and
      frames are really-very-easy with the new layer-panel (like in Macromedia
      Flash).
    * More easy tool-configuration.
    * New drawing tool: real-pencil, with a unique and original algorithm.
    * Removed all the use of the Allegro GUI.
    * New original (and ugly) GUI look: now, the colors are in harmony for the
      eyes.
ASE 0.0.5
    * More facilities to handle colors with different `alpha'.
    * New animation control: need test (see `bugs.txt' to report errors).
    * Optimized the color-selection dialog: now you can make gammas between
      four colors.
    * Added a `preview' in the apply-filter dialog.
    * New improved gui system (for the users and for the developers).
    * New tile' andreload' option for the filters.
    * New view-tile option in tool-menu (for make tileable patterns).
ASE 0.0.4
    * Modificable draw properties: thickness, alpha color, spray random factor,
      and spray radius.
    * Undo support for all tools.
    * Multiple drawing tools support: pixel, pencil, fill, spray, line,
      rectangle, and ellipse;
    * New improved layer control.
    * A lot of optimizations in the status bar.
    * New duplicate sprite option.
    * New session manager, for load and save your work. Other utility of this,
      is if the program crash for any reason, it auto-backups your data.
    * Bad news: the old .ase format is incompatible with the new one: I
      recommend you don't save in .ase until the 0.1 release.
    * New "visible" property for hide and show the layers.
    * New change color-depth function.
    * Added a set-gfx-mode option in the system-menu.
    * New duplicate layer support.
ASE 0.0.3
    * New .ase format (for save the layers).
    * More keyboard shorcuts (with a new `keys.txt').
    * New layers operations: insert, move and remove.
    * RGBA (alpha channel) bitmaps support.
    * New filter capability, with some examples of filters.
    * An incredible new way to create dialogs (for programmers only).
    * More "Windows friendly" text files.
    * New optimized status bar.
    * New improved look of the GUI.
ASE 0.0.2
    * New "infinite" Undo & Redo support.
    * Some importants bug fixed.
ASE 0.0.1
    * One tool: interactive line.
    * Color selection support.
    * Poor palette modification capability.
